summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Lehman Black2010-05-11 14:56:26 +0200
committer Robby Workman2010-05-11 14:56:26 +0200
commitbe63a2318d8b3df60180cfa93a719afb659a8646 (patch)
tree196f1a88128f9af1cfe3c3bde8bd777807519e63 /libraries
parent9f42b5262eb21feb307e7b1f3d95de4c1f89ee61 (diff)
downloadslackbuilds-be63a2318d8b3df60180cfa93a719afb659a8646.tar.gz
libraries/uri-escape: Initial import
Diffstat (limited to 'libraries')
-rw-r--r--libraries/uri-escape/README6
-rw-r--r--libraries/uri-escape/slack-desc10
-rw-r--r--libraries/uri-escape/uri-escape.SlackBuild52
-rw-r--r--libraries/uri-escape/uri-escape.info8
4 files changed, 76 insertions, 0 deletions
diff --git a/libraries/uri-escape/README b/libraries/uri-escape/README
new file mode 100644
index 0000000000..444850afaf
--- /dev/null
+++ b/libraries/uri-escape/README
@@ -0,0 +1,6 @@
+URI::Escape perl module
+
+URI::Escape is a perl module. It module provides functions to escape and
+unescape URI strings as defined by RFC 2396 (and updated by RFC 2732).
+A URI consists of a restricted set of characters, denoted as uric in RFC 2396.
+
diff --git a/libraries/uri-escape/slack-desc b/libraries/uri-escape/slack-desc
new file mode 100644
index 0000000000..7183316bf8
--- /dev/null
+++ b/libraries/uri-escape/slack-desc
@@ -0,0 +1,10 @@
+uri-escape: URI::Escape (perl module)
+uri-escape:
+uri-escape: This module provides functions to escape and unescape URI strings
+uri-escape: as defined by RFC 2396 (and updated by RFC 2732).
+uri-escape:
+uri-escape: Home: http://http://search.cpan.org/~gaas/URI-1.35/URI/Escape.pm
+uri-escape:
+uri-escape:
+uri-escape:
+uri-escape:
diff --git a/libraries/uri-escape/uri-escape.SlackBuild b/libraries/uri-escape/uri-escape.SlackBuild
new file mode 100644
index 0000000000..c746c384c0
--- /dev/null
+++ b/libraries/uri-escape/uri-escape.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+######################################
+# Slackware Build Script #
+######################################
+# AUTHOR: Lehman Black #
+# CONTACT: bzqwerty[at]gmail[dot]com #
+######################################
+
+# Modified by the SlackBuilds.org project
+
+PROG=uri-escape
+VERSION=1.35
+ARCH=noarch
+TAG=${TAG:-_SBo}
+BUILD=${BUILD:-1}
+
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PROG
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+chown -R root:root .
+chmod a-s,u+w,go-w+r .
+
+tar xvf $CWD/URI-$VERSION.tar.gz || exit 1
+cd URI-$VERSION
+
+perl Makefile.PL PREFIX=/usr || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PROG-$VERSION
+cp -a Changes README rfc2396.txt $PKG/usr/doc/$PROG-$VERSION
+cat $CWD/$PROG.SlackBuild > $PKG/usr/doc/$PROG-$VERSION/$PROG.SlackBuild
+
+# Remove the perllocal.pod file
+rm -f $PKG/usr/lib/perl5/5.8.8/i486-linux/perllocal.pod
+
+mv $PKG/usr/share/man $PKG/usr
+gzip -9 $PKG/usr/man/man?/*
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c y $OUTPUT/$PROG-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/uri-escape/uri-escape.info b/libraries/uri-escape/uri-escape.info
new file mode 100644
index 0000000000..59e6316fe1
--- /dev/null
+++ b/libraries/uri-escape/uri-escape.info
@@ -0,0 +1,8 @@
+PRGNAM="uri-escape"
+VERSION="1.35"
+HOMEPAGE="http://search.cpan.org/~gaas/URI-1.35/URI/Escape.pm"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/URI-1.35.tar.gz"
+MD5SUM="1a933b1114c41a25587ee59ba8376f7c"
+MAINTAINER="Lehman Black"
+EMAIL="bzqwerty[at]gmail[dot]com "
+APPROVED="robw810"